Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class ServerFactory

    java.lang.Object
      org.apache.catalina.ServerFactory

    public class ServerFactory

extends java.lang.Object

ServerFactory allows the registration of the (singleton) `Server` instance for this JVM, so that it can be accessed independently of any existing reference to the component hierarchy. This is important for administration tools that are built around the internal component implementation classes.

Author:
  Craig R. McClanahan

Constructor Summary
`ServerFactory()`

Method Summary
`static void` | `clear()` Clears the singleton `Server` instance for this JVM.
`static Server` | `getServer()` Return the singleton `Server` instance for this JVM.
`static Server` | `getServer(boolean create)` Return the singleton `Server` instance for this JVM.
`static void` | `setServer(Server theServer)` Set the singleton `Server` instance for this JVM.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerFactory

    public ServerFactory()

Method Detail

### getServer

    public static Server getServer()

  Return the singleton `Server` instance for this JVM.

### getServer

    public static Server getServer(boolean create)

  Return the singleton `Server` instance for this JVM.

  Parameters:
    `create` - `true` to create a server if none is available and always return a `Server` instance, `false` to peek the current value and return `null` if no server has been created
  Returns:
    Server instance or null

### setServer

    public static void setServer(Server theServer)

  Set the singleton `Server` instance for this JVM. This method must only be called from a constructor of the (singleton) `Server` instance that is created for this execution of Catalina.

  Parameters:
    `theServer` - The new singleton instance

### clear

    public static void clear()

  Clears the singleton `Server` instance for this JVM. Allows to run several instances of Tomcat sequentially in the same JVM. Unit tests use this feature.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.